
// SimParm: Simple and flexible C++ configuration framework
// Copyright (C) 2007 Australian National University
// 
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
// 
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// Contact:
// Kevin Pulo
// kevin.pulo@anu.edu.au
// Leonard Huxley Bldg 56
// Australian National University, ACT, 0200, Australia

#if !defined(CONFIG_SET_OUTPUT_TABULATED_HH)
#define CONFIG_SET_OUTPUT_TABULATED_HH

#include "ConfigSet.hh"
#include <iostream>

using namespace std;

class ConfigSetOutputTabulated {
	private:
		ConfigSetOutputTabulated(const ConfigSet &configSet, string field_delim, string record_delim, string record_prefix, bool header);

		static const string default_field_delim;
		static const string default_record_delim;
		static const string default_record_prefix_header;
		static const string default_record_prefix_normal;

	public:
		const ConfigSet &configSet;
		string field_delim;
		string record_delim;
		string record_prefix;
		bool header;

		static ConfigSetOutputTabulated HeaderLine(const ConfigSet &configSet);
		static ConfigSetOutputTabulated HeaderLine(const ConfigSet &configSet, string field_delim);
		static ConfigSetOutputTabulated HeaderLine(const ConfigSet &configSet, string field_delim, string record_delim);
		static ConfigSetOutputTabulated HeaderLine(const ConfigSet &configSet, string field_delim, string record_delim, string record_prefix);

		static ConfigSetOutputTabulated NormalLine(const ConfigSet &configSet);
		static ConfigSetOutputTabulated NormalLine(const ConfigSet &configSet, string field_delim);
		static ConfigSetOutputTabulated NormalLine(const ConfigSet &configSet, string field_delim, string record_delim);
		static ConfigSetOutputTabulated NormalLine(const ConfigSet &configSet, string field_delim, string record_delim, string record_prefix);

		friend ostream& operator<<(ostream& out, const ConfigSetOutputTabulated &configSetOutputTabulated);
};


#endif

